> ## Documentation Index
> Fetch the complete documentation index at: https://docs.freeplay.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Agents

> 
Retrieve a paginated list of agents for your project. Optionally filter by name.

`page_size` defaults to 30, maximum 100.



## OpenAPI

````yaml https://app.freeplay.ai/openapi.json get /api/v2/projects/{project_id}/agents
openapi: 3.1.0
info:
  title: Freeplay API
  version: 0.1.0
servers: []
security:
  - BearerAuth: []
paths:
  /api/v2/projects/{project_id}/agents:
    get:
      tags:
        - Agents
      summary: List Agents
      description: >-

        Retrieve a paginated list of agents for your project. Optionally filter
        by name.


        `page_size` defaults to 30, maximum 100.
      operationId: get_get_agents
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
        - name: page
          in: query
          schema:
            default: 1
            title: Page
            type: integer
        - name: page_size
          in: query
          schema:
            default: 30
            title: Page Size
            type: integer
        - name: name
          in: query
          schema:
            default: null
            title: Name
            type:
              - string
              - 'null'
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  data:
                    items:
                      $ref: '#/components/schemas/AgentInfo'
                    title: Data
                    type: array
                  pagination:
                    $ref: '#/components/schemas/PaginationInfo'
                required:
                  - data
                  - pagination
                title: GetAgentsResponsePayload
                type: object
          description: >-
            GetAgentsResponsePayload(data:
            list[server.api_routes.agents_api_v2.AgentInfo], pagination:
            server.api_routes.api_v2_common.PaginationInfo)
components:
  schemas:
    AgentInfo:
      properties:
        id:
          format: uuid
          title: Id
          type: string
        name:
          title: Name
          type: string
      required:
        - id
        - name
      title: AgentInfo
      type: object
    PaginationInfo:
      properties:
        page:
          title: Page
          type: integer
        page_size:
          title: Page Size
          type: integer
        has_next:
          title: Has Next
          type: boolean
      required:
        - page
        - page_size
        - has_next
      title: PaginationInfo
      type: object
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````